Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000193 [Piwigo] albums minor always 2005.11.08 01:04 2006.07.17 15:56
Reporter noiry View Status public  
Assigned To chrisaga
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6.1 Product Version 1.5.0RC3
  Target Version Product Build
Summary 0000193: Info bulle
Description dans identification.php

Si on passe la souris sur register, on voit apparaitre 's' et non "s'enregistrer"
Steps To Reproduce
Additional Information
Tags No tags attached.
browser IE
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000372)
chrisaga (developer)
2005.11.08 19:31

Dans quelle version du produit ?
RC3 = connais pas
Je ne reproduis pas le bug en RC2
(0000377)
plg (manager)
2005.11.08 21:28

1.5.0RC3 = 1.5.0, mais elle n'existera que dans quelques instants ;-)
(0000412)
xaviounet (reporter)
2005.11.13 04:39

J'espere que je fais bien de poster ici plutot qu'une nouvelle "issue", mais c'est aussi un probleme d'info bulle.
Precision tout d'abord, je viens d'upgrader de 1.4.1 vers 1.5.0. Quand je suis dans la partie administration de PWG, gerer categories, en face d'une categorie, il y a un icone avec une fleche verte allant vers un rond jaune qui permet d'aller dans la categorie. L'info bulle indique uniquement un s au lieu de je ne sais pas quoi ;-) Totalement mineur ;-)
(0000413)
chrisaga (developer)
2005.11.13 09:02

Il s'agit bien d'un bug (le même présent à plusieurs endroits) : l'apostrophe devrait être remplacée par un "e;

Dans les fichiers langues elles sont échapées (\') ça convient au PHP, mais pas au HTML (dans le texte HTML, ça à l'air de passer avec les navigateurs testés, mais pas dans les info-bulles)

Dernière chose : on ne le voit que dans IE car l'image se trouve dans un lien qui a un attribut "title" et IE décide d'afficher en info-bulle la valeur de l'attribut "alt" de l'image alors que les autres Firefox, Opéra, Konqueror, affichent le contenu de l'attribut "title" du lien.

Je pense que ces derniers ont raison car l'attribut "alt" est à l'origine destiné à remplacer une image que l'on en peut ou veu pas afficher.

C'est un autre bug qu je crée immédiatement.
(0000740)
plg (manager)
2006.04.12 12:46

chrisaga, n'as tu pas corrigé ce bug en modifiant la fonction l10n ? (pour transformer en html_entities).
(0000752)
chrisaga (developer)
2006.04.14 21:19

1) c'est bien pour ça que j'avais modifié la fonction l10n, mais je me suis rendu compte que cet @^#~*¤ d'IE6 se comportait exactement comme si de rien était. Visiblement cet ahuri commence par traduire la "html entity" en apostrophe et retombe les 2pieds dans son bug.

2) je me suis documenté, et c'est bie IE qui fait mal : alt sert à remplacer l'image (ex : navigateur texte), donc je ne sais plus bien quoi faire.
(0001228)
chrisaga (developer)
2006.07.15 16:25

Fixed in trunk [Subversion] r1472
it was in fact introduced by pngfix.js (script used to fix png transparency)
(0001229)
chrisaga (developer)
2006.07.15 16:29

merged in 1.6 branch [Subversion] r1473
merged in 1.5 branch [Subversion] r1474

- Issue History
Date Modified Username Field Change
2005.11.08 01:04 noiry New Issue
2005.11.08 01:04 noiry browser => IE
2005.11.08 01:04 noiry Web server => Apache 1.3.x
2005.11.08 19:31 chrisaga Note Added: 0000372
2005.11.08 19:31 chrisaga Status new => feedback
2005.11.08 21:28 plg Note Added: 0000377
2005.11.13 04:39 xaviounet Note Added: 0000412
2005.11.13 09:02 chrisaga Note Added: 0000413
2005.11.13 09:02 chrisaga Status feedback => confirmed
2006.04.12 12:46 plg Note Added: 0000740
2006.04.12 12:46 plg Assigned To => chrisaga
2006.04.12 12:46 plg Status confirmed => assigned
2006.04.14 21:19 chrisaga Note Added: 0000752
2006.07.15 16:25 chrisaga Status assigned => resolved
2006.07.15 16:25 chrisaga Fixed in Version => BSF branch (dev)
2006.07.15 16:25 chrisaga Resolution open => fixed
2006.07.15 16:25 chrisaga Note Added: 0001228
2006.07.15 16:29 chrisaga Status resolved => closed
2006.07.15 16:29 chrisaga Note Added: 0001229
2006.07.17 15:56 plg Fixed in Version BSF branch (dev) => 1.6.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker